org.wildfly.swarm.config.management.access

## Class SizeRotatingFileHandler<T extends SizeRotatingFileHandler<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.SizeRotatingFileHandler<T>

-     public class SizeRotatingFileHandler<T extends SizeRotatingFileHandler<T>>
      extends Object

  A management audit log handler which writes to a file, rotating the log after the size of the file grows beyond a certain point and keeping a fixed number of backups.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SizeRotatingFileHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `disabledDueToFailure()` Whether this handler has been disabled due to logging failures.
    `T` | `disabledDueToFailure(Boolean value)` Whether this handler has been disabled due to logging failures.
    `Integer` | `failureCount()` The number of logging failures since the handler was initialized.
    `T` | `failureCount(Integer value)` The number of logging failures since the handler was initialized.
    `String` | `formatter()` The formatter used to format the log messages.
    `T` | `formatter(String value)` The formatter used to format the log messages.
    `String` | `getKey()`
    `Integer` | `maxBackupIndex()` The maximum number of backups to keep.
    `T` | `maxBackupIndex(Integer value)` The maximum number of backups to keep.
    `Integer` | `maxFailureCount()` The maximum number of logging failures before disabling this handler.
    `T` | `maxFailureCount(Integer value)` The maximum number of logging failures before disabling this handler.
    `String` | `path()` The path of the audit log file.
    `T` | `path(String value)` The path of the audit log file.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `rotateSize()` The size at which to rotate the log file.
    `T` | `rotateSize(String value)` The size at which to rotate the log file.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SizeRotatingFileHandler

          public SizeRotatingFileHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### disabledDueToFailure

          public Boolean disabledDueToFailure()

      Whether this handler has been disabled due to logging failures.

    - #### disabledDueToFailure

          public T disabledDueToFailure(Boolean value)

      Whether this handler has been disabled due to logging failures.

    - #### failureCount

          public Integer failureCount()

      The number of logging failures since the handler was initialized.

    - #### failureCount

          public T failureCount(Integer value)

      The number of logging failures since the handler was initialized.

    - #### formatter

          public String formatter()

      The formatter used to format the log messages.

    - #### formatter

          public T formatter(String value)

      The formatter used to format the log messages.

    - #### maxBackupIndex

          public Integer maxBackupIndex()

      The maximum number of backups to keep.

    - #### maxBackupIndex

          public T maxBackupIndex(Integer value)

      The maximum number of backups to keep.

    - #### maxFailureCount

          public Integer maxFailureCount()

      The maximum number of logging failures before disabling this handler.

    - #### maxFailureCount

          public T maxFailureCount(Integer value)

      The maximum number of logging failures before disabling this handler.

    - #### path

          public String path()

      The path of the audit log file.

    - #### path

          public T path(String value)

      The path of the audit log file.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### rotateSize

          public String rotateSize()

      The size at which to rotate the log file.

    - #### rotateSize

          public T rotateSize(String value)

      The size at which to rotate the log file.

Copyright © 2017 JBoss by Red Hat. All rights reserved.